Page MenuHomePhabricator

Special:Undelete contains egregious white space after OOUI update
Closed, ResolvedPublic

Description

https://en.wikipedia.org/w/index.php?title=Special:Undelete&target=James+Spenceley&timestamp=20171111164935

Did anyone bother to test this? This is borderline unusable. Screen size is 1920x1080.

Event Timeline

MER-C created this task.Dec 8 2017, 10:47 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 8 2017, 10:47 AM
BethNaught added a subscriber: BethNaught.

Similar behaviour confirmed on my various mobile devices. Inspecting the source, the <div> tag ( of class "oo-ui-widget oo-ui-widget-enabled oo-ui-inputWidget oo-ui-textInputWidget oo-ui-textInputWidget-type-text oo-ui-textInputWidget-php") which immediately surrounds the <textarea> has CSS attributes "width: 100%; max-width: 50em;". Just getting rid of the max-width property in my browser console worked for me, so just remove that rule? Though why anyone put it there in the first place baffles me.

TTO added a subscriber: TTO.Dec 8 2017, 11:34 AM

This is from rMWfa718359ec7c: Replace some Special:Undelete button with OOUI ones. The textarea needs to be given width 100% somehow.

TTO added a comment.Dec 8 2017, 11:35 AM

"width: 100%; max-width: 50em;"

This is sensible behaviour for textareas that are part of forms and meant to be used for entering descriptions and the like, but obviously not for wikitext edit/view boxes.

Bawolff added a subscriber: Bawolff.EditedDec 8 2017, 12:10 PM

Did anyone bother to test this? This is borderline unusable. Screen size is 1920x1080.

For reference, I did test this and notice the narrow width (I even made a comment about it on irc), but assumed that it was intentional as part of ooui

I think for the time being we should revert the textarea aspect of the change but keep the button change.

I'll work on that today in the evening

TheDJ added a subscriber: TheDJ.Dec 8 2017, 12:40 PM

@Albert221 just as a note; this is NOT your fault. Regressions are always possible and we should have caught this in review. As a GCI student you are not responsible for fixing it, but you are welcome to work on it if you want to.

Bawolff added a comment.EditedDec 8 2017, 12:42 PM

@Albert221 just as a note; this is NOT your fault. Regressions are always possible and we should have caught this in review. As a GCI student you are not responsible for fixing it, but you are welcome to work on it if you want to.

Yes, I also want to emphasize that this is my fault for not catching it, and definitely not your fault. Its awesome if you want to fix it, but if you didn't want to, that would be ok to, and I would take care of it.

A quick analysis:

// Initialization
$this
    ->addClasses( [
        'oo-ui-textInputWidget',
        'oo-ui-textInputWidget-type-' . $this->type,
        'oo-ui-textInputWidget-php',
    ] )
    ->appendContent( $this->icon, $this->indicator );
Xaosflux triaged this task as Normal priority.Dec 8 2017, 4:55 PM

Change 396430 had a related patch set uploaded (by Albert221; owner: Albert221):
[mediawiki/core@master] Revert replacing textarea in Special:Undelete with OOUI

https://gerrit.wikimedia.org/r/396430

Status update for the Wikipedians: We will go back to the old textbox on Monday.

Change 396430 merged by jenkins-bot:
[mediawiki/core@master] Revert replacing textarea in Special:Undelete with OOUI

https://gerrit.wikimedia.org/r/396430

Change 396465 had a related patch set uploaded (by Brian Wolff; owner: Albert221):
[mediawiki/core@wmf/1.31.0-wmf.11] Revert replacing textarea in Special:Undelete with OOUI

https://gerrit.wikimedia.org/r/396465

Change 396465 merged by jenkins-bot:
[mediawiki/core@wmf/1.31.0-wmf.11] Revert replacing textarea in Special:Undelete with OOUI

https://gerrit.wikimedia.org/r/396465

Mentioned in SAL (#wikimedia-operations) [2017-12-11T14:46:14Z] <niharika29@tin> Synchronized php-1.31.0-wmf.11/includes/specials/SpecialUndelete.php: Revert replacing textarea in Special:Undelete with OOUI T182398 (duration: 00m 57s)

Bawolff closed this task as Resolved.Dec 11 2017, 2:51 PM